/*
 *  
 *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <linux/videodev.h>
#include "pvrusb2.h"


#define V4L2_CID_PVR_SRATE          (V4L2_CID_PRIVATE_BASE)
#define V4L2_CID_PVR_AUDIOBITRATE   (V4L2_CID_PRIVATE_BASE+1)
#define V4L2_CID_PVR_AUDIOCRC       (V4L2_CID_PRIVATE_BASE+2)
#define V4L2_CID_PVR_AUDIOEMPHASIS  (V4L2_CID_PRIVATE_BASE+3)
#define V4L2_CID_PVR_VBR            (V4L2_CID_PRIVATE_BASE+4)
#define V4L2_CID_PVR_VIDEOBITRATE   (V4L2_CID_PRIVATE_BASE+5)
#define V4L2_CID_PVR_VIDEOPEAK      (V4L2_CID_PRIVATE_BASE+6)
#define V4L2_CID_PVR_MAX            (V4L2_CID_PRIVATE_BASE+6)

#define PVR_WIDTH_DVD      720
#define PVR_WIDTH_SVCD     480
#define PVR_WIDTH_VCD      352


/* The next ones are indexes in v4l2 structs */

#define PVR_V4L2_NTUNER    1
#define PVR_V4L2_NSTD   3
#define PVR_STD_PAL     0
#define PVR_STD_SECAM   1
#define PVR_STD_NTSC    2
#define PVR_V4L2_NINPUT    2
#define PVR_V4L2_AUDIO_NINPUT    2

#define PVR_INPUT_TV    0
#define PVR_INPUT_RCA   1
#define PVR_INPUT_RADIO 2

#define PVR_SRATE_48 0
#define PVR_SRATE_44 1

extern struct v4l2_queryctrl pvr_regular_ctl[];
extern struct v4l2_queryctrl pvr_private_ctl[];
extern u32 pvr_tbl_srate[];
extern u32 pvr_tbl_audiobitrate[];
extern u32 pvr_tbl_crc[];
extern u32 pvr_tbl_emphasis[];
extern u32 pvr_tbl_vbr[];

int pvr_v4l_do_ioctl(struct inode *, struct file *, unsigned int, void *);
